Home
last modified time | relevance | path

Searched refs:got (Results 1 – 25 of 99) sorted by relevance

1234

/titanic_44/usr/src/lib/libshell/common/tests/
H A Dpath.sh169 got=$($SHELL -c "unset FPATH; PATH=/dev/null; $cmd" 2>&1)
170 [[ $got == $exp ]] && err_exit "$cmd as last command should not find ./$cmd with PATH=/dev/null"
171 got=$($SHELL -c "unset FPATH; PATH=/dev/null; $cmd" 2>&1)
172 [[ $got == $exp ]] && err_exit "$cmd should not find ./$cmd with PATH=/dev/null"
174 got=$(unset FPATH; PATH=/dev/null; whence ./$cmd)
175 [[ $got == $exp ]] || err_exit "whence $cmd should find ./$cmd with PATH=/dev/null"
177 got=$(unset FPATH; PATH=/dev/null; whence $PWD/$cmd)
178 [[ $got == $exp ]] || err_exit "whence \$PWD/$cmd should find ./$cmd with PATH=/dev/null"
182 got=$($SHELL -c "unset FPATH; PATH=/dev/null; whence ./notfound" 2>&1)
183 [[ $got == $exp ]] || err_exit "whence ./$cmd failed -- expected '$exp', got '$got'"
[all …]
H A Dsubshell.sh171 do if ! got=$($TEST_shell "$cmd")
173 elif [[ "$got" != "$exp" ]]
175 GOT=$(printf %q "$got")
267 got=$?
268 [[ $got == $exp ]] || err_exit "getopts --man runtime callout with nonzero exit terminates shell --…
270 got=$($SHELL -c $'
278 [[ $got == $exp ]] || err_exit "getopts --man runtime callout with nonzero exit terminates shell --…
314 do got=${ printf "$body" "$1" "$2" "$code" | $SHELL 2>&1 }
318 elif [[ $got != $exp ]]
319 then err_exit "test $TEST '$1...$2 exit $code' failed -- got '$got', expected '$exp'"
[all …]
H A Dcubetype.sh57 exp=3 got=${b.x}
58 [[ "$got" == "$exp" ]] || err_exit "\${b.x} incorrect for iteration $i -- expected $exp, got '$got'"
59 exp=5 got=$(( b.len ))
60 (( got == exp )) || err_exit "b.len incorrect for iteration $i -- expected $exp, got '$got = sqrt($…
61 exp=5 got=${b.len}
62 [[ "$got" == "$exp" ]] || err_exit "\${b.len} incorrect for iteration $i -- expected $exp, got '$go…
63 exp=box1 got=${b.name}
64 [[ "$got" == "${exp}" ]] || err_exit "\${b.name} incorrect for iteration $i -- expected $exp, got '…
65 exp=2 got=$(( b.count ))
66 (( got == exp )) || err_exit "b.count incorrect for iteration $i -- expected $exp, got '$got'"
[all …]
H A Dcoprocess.sh110 got=$REPLY
111 if [[ $got != $exp ]]
112 then err_exit "${SHELL-ksh} coprocess io failed -- got '$got', expected '$exp'"
246 got=$(print -r $'#00315
251 [[ $got == $exp ]] || err_exit "coshell(3) identification sequence failed -- expected '$exp', got '…
264 then read -p got
265 else got='no coprocess'
267 [[ $got == $exp ]] || err_exit "main coprocess main query failed -- expected $exp, got '$got'"
275 then read -p got
276 else got='no coprocess'
[all …]
H A Doptions.sh63 got=$($SHELL -E -c : 2>/dev/null)
66 got=$(printf %q "$got")
67 err_exit "\$ENV file &>/dev/null does not redirect stdout -- expected '', got $got"
69 got=$($SHELL -E -c : 2>&1 >/dev/null)
70 if [[ $got != *nonstandard* || $got == *$'\n'* ]]
72 got=$(printf %q "$got")
73 …rr_exit "\$ENV file &>/dev/null does not redirect stderr -- expected one diagnostic line, got $got"
387got=$(for((n=1;n<exp;n++))do $SHELL --pipefail -c '(sleep 0.1;false)|true|true' && break; done; pr…
388 …[[ $got == $exp ]] || err_exit "--pipefail -c '(sleep 0.1;false)|true|true' fails with exit status…
405 got=$(
[all …]
H A Dsigchld.sh71 got=$($SHELL -c '
85 [[ $got == $exp ]] || err_exit "SIGCHLD trap queueing failed -- expected '$exp', got '$got'"
87 got=$($SHELL -c '
109 …[[ $got == $exp ]] || err_exit "SIGCHLD trap queueing failed -- expected $(printf %q "$exp"), got …
114 got=$( ( sleep 1;print $'\n') | $SHELL -c 'function handler { : ;}
117 [[ $got == good ]] || err_exit 'SIGCLD handler effects read behavior'
H A Dtypes.sh122 got=$(. $tmp/types) 2>/dev/null
123 [[ "$got" == "$expected" ]] || err_exit "typedefs in dot script failed -- expected '$expected', got…
202 got=${x.b}
203 [[ "$got" == "$expected" ]] || err_exit "type '_' reference failed -- expected '$expected', got '$g…
218 got=${ tst.f;}
219 [[ "$got" == "$expected" ]] || err_exit "_.g where g is a function in type discipline method failed…
233 got=${ x.f;}
234 [[ "$got" == "$expected" ]] || err_exit "array assignment of subscripts in type discipline arithmet…
252 got=$(typeset -p _Dbg_filenames)
253 [[ "$got" == "$expected" ]] || {
[all …]
H A Dio.sh83 then read -u3 got
84 read -u4 got
86 case $got in
91 …fs].dir}/3' $semantics semantics instead of ${FDFS[fdfs].semantics} -- expected '$exp', got '$got'"
95 got=$(
104 case $got in
109 …dfs].dir}/N $semantics semantics instead of ${FDFS[fdfs].semantics} -- expected '$exp', got '$got'"
430 got=$(< $file)
431 [[ $got == $exp ]] || err_exit "output garbled when stderr is duped -- expected $(printf %q "$exp")…
445 got=$(<$tmp/21.out)
[all …]
H A Dvariables.sh67 got=${ $SHELL -c 'print $PPID'; }
69 then err_exit "PPID variable failed -- expected '$exp', got '$got'"
490 got=$(<$tmp/out)
491 [[ $got == new ]] || err_exit "previously unset environment variable not passed to script, expected…
496 got=$(<$tmp/out)
497 [[ $got == new ]] || err_exit "environment variable covering local variable not passed to script, e…
502 got=$(<$tmp/out)
503 [[ $got == new ]] || err_exit "environment variable covering environment variable not passed to scr…
637 got=$($SHELL -c 'unset SHLVL; print -n aaa; ./zzz' 2>&1) >/dev/null 2>&1
638 [[ $got == "$exp" ]] || err_exit "unset SHLVL causes script failure -- expected '$exp', got '$got'"
[all …]
H A Dglob.sh35 typeset lineno expected drop arg got sep op val add del
58 do got="$got$sep<$arg>"
63 then got="<$del> $got"
69 if [[ $got != "$expected" ]]
70 then 'err_exit' $lineno "glob -- expected '$expected', got '$got'"
77 typeset lineno expected subject pattern got
85 if [[ $got != "$expected" ]]
86 then 'err_exit' $lineno "case $subject in $pattern) -- expected '$expected', got '$got'"
H A Dcomvar.sh371 got=$z
372 [[ $got == "$exp" ]] || {
374 got=$(printf %q "$got")
375 err_exit "compound indexed array pretty print failed -- expected $exp, got $got"
387 got=${record[a]}
388 [[ $got == "$exp" ]] || {
390 got=$(printf %q "$got")
391 err_exit "compound indexed array pretty print failed -- expected $exp, got $got"
403 got=$r
404 [[ $got == "$exp" ]] || {
[all …]
H A Dbasic.sh412 got=$(print -n fore;(sleep 2;print back)&)
413 [[ $got == $expected ]] || err_exit "command substitution background process output error -- got '$
442 got=$(
451 [[ $got == $exp ]] || err_exit "pipe to function with conditional fails -- expected '$exp', got '$g…
452 got=$(
457 [[ $got == $exp ]] || err_exit "pipe to { ... } with conditional fails -- expected '$exp', got '$go…
459 got=$(
464 [[ $got == $exp ]] || err_exit "pipe to ( ... ) with conditional fails -- expected '$exp', got '$go…
H A Dexpand.sh105 got=$(eval print -r -- "$pattern")
106 [[ $got == $expected ]] || err_exit "'$pattern' failed -- expected '$expected' got '$got'"
H A Dstatics.sh74 got=$(
85 [[ $got != $expected ]] && err_exit "static array var failed -- expected '$expected', got '$got'"
H A Dsignal.sh249 tst $SHELL > tst.got
253 done < tst.got
295 got=$(kill -l $?)
296 [[ $exp == $got ]] || err_exit "kill -$exp \$\$ failed, required termination by signal '$got'"
H A Dbuiltins.sh188 got=$(trap)
189 [[ $got == $exp ]] || err_exit "\$(trap) failed -- expected \"$exp\", got \"$got\""
191 got=$(trap -p TERM)
192 [[ $got == $exp ]] || err_exit "\$(trap -p TERM) failed -- expected \"$exp\", got \"$got\""
H A Dsun_solaris_cr_6904575_cut_-d_with_multibyte_character_no_longer_works.sh148 …exit "${testname}: Expected match for $(printf "%q\n" "${output_format}"), got $(printf "%q\n" "${…
173 …0003' ]] || err_exit "${testname}: Expected \$'0000000 a4 a2 0a\n0000003', got $(printf "%q\n" "${…
H A Dsun_solaris_cr_6904878_join_-t_no_longer_works_with_multibyte_char_separator.sh142 …exit "${testname}: Expected match for $(printf "%q\n" "${output_format}"), got $(printf "%q\n" "${…
170 [[ "${out}" == 'f1' ]] || err_exit "${testname}: Expected 'f1', got $(printf "%q\n" "${out}")"
/titanic_44/usr/src/lib/libwrap/
H A Dmisc.c41 int got; local
45 got = strlen(ptr);
46 if (got >= 1 && ptr[got - 1] == '\n') {
48 if (got >= 2 && ptr[got - 2] == '\\') {
49 got -= 2;
54 ptr += got;
55 len -= got;
/titanic_44/usr/src/cmd/sendmail/libsm/
H A Dt-match.c20 got = sm_match(str, pat); \
21 if (!SM_TEST(got == want)) \
24 str, pat, got ? "true" : "false");
31 bool got; variable
/titanic_44/usr/src/cmd/cmd-inet/usr.lib/in.ndpd/
H A Dconfig.c383 int got = 0; in readline() local
390 if (got != 0) in readline()
396 got = strlen(line); in readline()
398 if (got >= 2 && line[got-2] == '\\') { in readline()
400 line += got - 2; in readline()
401 length -= got - 2; in readline()
405 if (got > 0) in readline()
406 line[got-1] = '\0'; in readline()
/titanic_44/usr/src/uts/common/crypto/api/
H A Dkcf_random.c469 int got; in rnd_get_bytes() local
485 if ((got = rngprov_getbytes(ptr, len, B_FALSE)) == -1) in rnd_get_bytes()
488 if (got == len) in rnd_get_bytes()
490 len -= got; in rnd_get_bytes()
491 ptr += got; in rnd_get_bytes()
496 if ((got = rngprov_getbytes_nblk(ptr, len)) == -1) { in rnd_get_bytes()
502 if (got == len) in rnd_get_bytes()
504 len -= got; in rnd_get_bytes()
505 ptr += got; in rnd_get_bytes()
/titanic_44/usr/src/lib/crypt_modules/bsdmd5/
H A Dbsdmd5.c191 ssize_t got; in crypt_gensalt_impl() local
200 got = read(fd, &rndval, sizeof (rndval)); in crypt_gensalt_impl()
201 if (got < sizeof (rndval)) { in crypt_gensalt_impl()
/titanic_44/usr/src/psm/stand/cpr/sparcv9/sun4u/
H A Dcprboot.c159 usage(char *expect, char *got) in usage() argument
161 if (got == NULL) in usage()
162 got = "(NULL)"; in usage()
165 expect, got, prog, rsvp); in usage()
/titanic_44/usr/src/lib/libmail/common/
H A Ds_string.c353 size_t got; in s_read_to_eof() local
368 got = fread(to->ptr, (size_t)1, have, fp); in s_read_to_eof()
369 if (got == (size_t)0) in s_read_to_eof()
372 to->ptr += got; in s_read_to_eof()

1234